#!/bin/sh
#
# $FreeBSD: ports/net-p2p/bnbt/files/bnbt.sh.in,v 1.2 2006/02/20 20:47:35 dougb Exp $
#

# PROVIDE: bnbt
# REQUIRE: LOGIN abi
# BEFORE:  securelevel
# KEYWORD: shutdown

# Add the following line to /etc/rc.conf to enable `bnbt':
#
#bnbt_enable="YES"
#
# See bnbt(1) for bnbt_flags
#

. "/etc/rc.subr"

name="bnbt"
rcvar=`set_rcvar`

# path to your executable, might be libxec, bin, sbin, ...
command="/usr/local/bin/$name"

# extra required arguments
command_args="&"

# you can check for required_dirs and required_vars too, see rc.subr(8)
#
required_dirs="/var/log/$name"

# read settings, set default values
load_rc_config "$name"
: ${bnbt_enable="NO"}
: ${bnbt_flags=""}

run_rc_command "$1"
